import * as cdk from '@aws-cdk/core';
import { Stage } from '../data-lake';
/**
 * @experimental
 */
export interface RegisteredDataSetProperties {
    /**
     * @experimental
     */
    readonly destinationPrefix: string;
    /**
     * @experimental
     */
    readonly destinationBucketName: string;
    /**
     * @experimental
     */
    readonly stage: Stage;
    /**
     * @experimental
     */
    readonly name: string;
    /**
     * @experimental
     */
    readonly dataLakeAdminRoleArn: string;
    /**
     * @experimental
     */
    readonly dataLakeDbCreatorRoleArn: string;
    /**
     * @experimental
     */
    readonly databaseName: string;
}
/**
 * @experimental
 */
export declare class LFRegisteredDataSet extends cdk.Construct {
    /**
     * @experimental
     */
    constructor(scope: cdk.Construct, id: string, props: RegisteredDataSetProperties);
}
